List customer rate cards
curl --request GET \
--url https://api-sandbox.beinfi.com/customers/{customerID}/rate-cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.beinfi.com/customers/{customerID}/rate-cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.beinfi.com/customers/{customerID}/rate-cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rateCards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "flat",
"unitAmount": "<string>",
"tiers": [
{}
],
"currency": "<string>"
}
]
}{
"message": "<string>",
"error_code": "internal_error",
"tracer_id": "<string>"
}{
"message": "<string>",
"error_code": "internal_error",
"tracer_id": "<string>",
"resource": "<string>"
}Customers
List customer rate cards
Lists the prices set specifically for this enrollment, which override the product version’s prices. customerID here is the enrollment ID.
GET
/
customers
/
{customerID}
/
rate-cards
List customer rate cards
Authorizations
Your account's secret key: Authorization: Bearer sk_test_… or sk_live_…. Server-side only.
Path Parameters
ID of the customer's enrollment in the product (not the customer ID).
Response
The enrollment's rate cards.
Show child attributes
Show child attributes